#
# spec file for package golang-github-exercism-cli
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define srcname cli
Name:           golang-github-exercism-cli
Version:        2.3.0
Release:        1.1
Summary:        A Go based command line tool for exercism.io
License:        MIT
Group:          Development/Languages/Other
Url:            http://exercism.io
Source:         https://github.com/exercism/cli/archive/v%{version}.tar.gz#/cli-%{version}.tar.gz
Source1:        golang-github-exercism-cli-rpmlintrc
BuildRequires:  golang(golang.org/x/tools)
BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
The CLI provides a way to do the problems on exercism.io.

%gosrc_package

%prep
%setup -q -n %{srcname}-%{version}

%build
%goprep github.com/exercism/cli
%gobuild ...

%install
%goinstall
%gosrc

%go_filelist
%go_filelist --source

%check
%gotest github.com/exercism/cli

%files -f file.lst
%defattr(-,root,root)
%doc LICENSE* README*
%{_bindir}/exercism

%files source -f source.lst
%defattr(-,root,root)

%changelog
* Mon Aug 22 2016 mamorales@suse.com
- update to version 2.3.0
* Wed Jun 29 2016 mamorales@suse.com
- add golang-github-exercism-cli-rpmlintrc as a source
* Mon Jun 27 2016 mamorales@suse.com
- initial package
